Skip to Content
aicentos
API エンドポイントチャット APIOpenAI

ChatCompletions 形式

最終更新:

チャット(Chat)ネイティブ OpenAI 形式

POST /chat/completions

認証

API キーを環境変数 AICENTOS_API_KEY に設定してください。シェルの例では、その値を Authorization: Bearer ヘッダーに展開します。

コンソールの「トークン管理」で取得した API Key

場所:header

リクエストボディ

application/json

TypeScript 型定義

TypeScript で request body 型を使用する

レスポンスボディ

application/json

application/json

application/json

application/json

export AICENTOS_API_KEY="sk-your-aicentos-api-key"

curl -X POST "https://aicentos.com/v1/chat/completions" \
  -H "Authorization: Bearer $AICENTOS_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{    "model": "gpt-4o-mini",    "messages": [      {        "role": "user",        "content": "自分を一文で紹介してください"      }    ]  }'
{
  "id": "chatcmpl-abc123",
  "object": "chat.completion",
  "created": 0,
  "model": "string",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "system",
        "content": "string",
        "name": "string"
      },
      "finish_reason": "stop"
    }
  ],
  "usage": {
    "prompt_tokens": 0,
    "completion_tokens": 0,
    "total_tokens": 0
  }
}
{
  "error": {
    "message": "Incorrect API key provided",
    "type": "authentication_error",
    "code": "invalid_api_key"
  }
}
{
  "error": {
    "message": "Incorrect API key provided",
    "type": "authentication_error",
    "code": "invalid_api_key"
  }
}
{
  "error": {
    "message": "Incorrect API key provided",
    "type": "authentication_error",
    "code": "invalid_api_key"
  }
}